%define upstream_name    CatalystX-LeakChecker
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Debug memory leaks in Catalyst applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CatalystX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Deparse)
BuildRequires: perl(Catalyst)
BuildRequires: perl(Devel::Cycle)
BuildRequires: perl(FindBin)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::AttributeHelpers)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::SimpleTable)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::clean)
BuildArch: noarch


%{?perl_default_filter}

%description
It's easy to create memory leaks in Catalyst applications and often they're
hard to find. This module tries to help you finding them by automatically
checking for common causes of leaks.

This module is intended for debugging only. I suggest to not enable it in a
production environment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.60.0-12.mga9
+ Revision: 1831382
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-11.mga8
+ Revision: 1493468
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-10.mga7
+ Revision: 1265981
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.60.0-9.mga6
+ Revision: 1023413
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.60.0-8.mga6
+ Revision: 948699
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.60.0-7.mga5
+ Revision: 788236
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-6.mga5
+ Revision: 739985
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.60.0-5.mga5
+ Revision: 732904
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 509764
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 364159
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 40339
- mageia rebuild
- imported package perl-CatalystX-LeakChecker

